Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7097 - authority problems when starting X
Summary: authority problems when starting X
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 11:24 UTC by Rene Uittenbogaard
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 21:14:04 UTC


Attachments (Terms of Use)

Description Rene Uittenbogaard 1999-11-18 11:24:21 UTC
Last weekend I upgraded my rh6.0 installation from XFree86-3.3.2-8 to
XFree86-3.3.5-3 using rpm -U. All the packages which it requires were
upgraded as well. I did not change the XF86Config file. Then when I tried
to use 'startx' from tty1, the following error message occurred:

Authentication failed - cannot start X server.
Perhaps you do not have console ownership?

I was, however, able to start an X session using xdm or when running startx
as root.



A related symptom was the following:
when entering 'startx -- :2' , (according to a debug 'echo' line in startx)
the startx script tries to run the command:

xinit /etc/X11/xinit/xinitrc -- :2 /home/rene/.xserverrc -auth
/home/rene/.Xauthority

which gives the following error:
Unrecognized option: /home/rene/.xserverrc

After moving the .xserverrc to /etc/X11/xinit/xserverrc and issuing the
same command, it tries to run:

xinit /etc/X11/xinit/xinitrc -- :2 /etc/X11/xinit/xserverrc -auth
/home/rene/.Xauthority

but this gives a different error:
Authentication failed - cannot start X server.
Perhaps you do not have console ownership?

I think this is very strange.

I was able to solve the problem by symlinking /usr/X11R6/bin/X to
/usr/X11R6/bin/XF86_SVGA and making XF86_SVGA suid root, followed by a
little hacking into the startx script in order to pass the command line
values to xinit in the correct order.
(i.e. xinit $clientargs -- $whichserver $display $serverargs)

I was wondering whether this is a bug or whether this is due to a wrong
method of upgrading the X server?

Comment 1 Jed S. Baer 2000-02-03 05:18:59 UTC
I have the same problem, RH Service request 129465 - now closed. Because the
service request became very convoluted, I've posted a summary to my website.

  http://www.frii.com/~thag/startx-problem.html

Just FYI, hope it helps.

Comment 2 Preston Brown 2000-02-03 21:14:59 UTC
the main problem is you probably do not have a recent pam.  We have fixed this
dependency for 6.2, but for now, make sure you have the latest errata release of
pam.


Note You need to log in before you can comment on or make changes to this bug.